﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;
using UnityEngine.EventSystems;

public class SceneChangeButton : MonoBehaviour, IPointerClickHandler {
	[SerializeField] Object scene;

	#region IPointerClickHandler implementation

	public void OnPointerClick (PointerEventData eventData)
	{
		ScreenFader.FadeOut(callback: () => {
			SceneManager.LoadScene(scene.name);
			ScreenFader.FadeIn(0.5f);
		});
	}

	#endregion

}
